'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _PositionedLink = _interopRequireDefault(require('../PositionedLink'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var Dot = function Dot(props) {
    return /*#__PURE__*/ _react.default.createElement(
        'svg',
        props,
        /*#__PURE__*/ _react.default.createElement('defs', null),
        /*#__PURE__*/ _react.default.createElement('title', null, 'Asset 2'),
        /*#__PURE__*/ _react.default.createElement(
            'g',
            {
                id: 'Layer_2',
                "'data-name'": 'Layer 2'
            },
            /*#__PURE__*/ _react.default.createElement(
                'g',
                {
                    id: 'Layer_1-2',
                    "'data-name'": 'Layer 1'
                },
                /*#__PURE__*/ _react.default.createElement('polygon', {
                    className: 'cls-1',
                    points: '25.61 283.75 0 258.14 116.27 141.87 0 25.61 25.61 0 167.48 141.87 25.61 283.75'
                })
            )
        )
    );
};

Dot.defaultProps = {
    xmlns: 'http://www.w3.org/2000/svg',
    viewBox: '0 0 167.48 283.75'
};

var HeaderLinkDotted = function HeaderLinkDotted(_ref) {
    var text = _ref.text,
        href = _ref.href;
    return /*#__PURE__*/ _react.default.createElement(
        _PositionedLink.default,
        {
            position: 'bottom',
            href: href
        },
        text,
        /*#__PURE__*/ _react.default.createElement(Dot, {
            width: 10
        })
    );
};

HeaderLinkDotted.propTypes = {
    text: _propTypes.default.string.isRequired,
    href: _propTypes.default.string
};
HeaderLinkDotted.defaultProps = {
    href: '/'
};
var _default = HeaderLinkDotted;
exports.default = _default;
